summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-09-04 14:21:13 -0400
committerLuke Smith <luke@lukesmith.xyz>2018-09-04 14:21:13 -0400
commit7132b2ba87bf311e0893267b5083a27c88edbbca (patch)
treefa89a7320825c77ba60f435f1f64d89d36a375d3
parentd00f6b67bbce71b60f59cb812640fea6e3a43d95 (diff)
downloadeibhear-7132b2ba87bf311e0893267b5083a27c88edbbca.tar.gz
eibhear-7132b2ba87bf311e0893267b5083a27c88edbbca.tar.zst
eibhear-7132b2ba87bf311e0893267b5083a27c88edbbca.zip
compiler dir-independent, sh>bash
-rwxr-xr-x.scripts/compiler6
1 files changed, 3 insertions, 3 deletions
diff --git a/.scripts/compiler b/.scripts/compiler
index 919b428..cb47638 100755
--- a/.scripts/compiler
+++ b/.scripts/compiler
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# This script will compile or run another finishing operation on a document. I
# have this script run via vim.
@@ -14,7 +14,7 @@ oridir=$(pwd)
file=$(readlink -f "$1")
dir=$(dirname "$file")
base="${file%.*}"
-cd $dir
+cd "$dir" || exit
textype() { \
command="pdflatex"
@@ -33,4 +33,4 @@ case "$file" in
*config.h) make && sudo make install ;;
*) sent "$file" 2>/dev/null & ;;
esac
-cd $oridir
+cd "$oridir" || exit